<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [deleteServer](./bitburner.ns.deleteserver.md)

## NS.deleteServer() method

Delete a purchased server.

**Signature:**

```typescript
deleteServer(host: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the server to delete. |

**Returns:**

boolean

True if successful, and false otherwise.

## Remarks

2.25 GB

Deletes one of your purchased servers, which is specified by its hostname.

The hostname argument can be any data type, but it will be converted to a string. Whitespace is automatically removed from the string. This function will not delete a server that still has scripts running on it.

